Cuentas

Listar y obtener cuentas de trading prop y retail.

List accounts

GET /api/v1/accounts

Query parameters

ParameterDescription
typeOptional filter: "prop" or "retail"
pagePage number (default 1)
limitPage size, max 100 (default 50)

Response

Returns paginated accounts. Prop accounts include firm metadata; retail accounts include broker metadata.

{
  "data": [
    {
      "id": "uuid",
      "type": "prop",
      "firm_name": "TopStep",
      "account_number": "TS123456",
      "balance": 150000.0,
      "status": "funded",
      "created_at": "2024-01-01T00:00:00Z"
    },
    {
      "id": "uuid",
      "type": "retail",
      "broker_name": "Interactive Brokers",
      "account_number": "IB987654",
      "current_value": 25000.0,
      "created_at": "2023-12-01T00:00:00Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 50,
    "total": 3,
    "totalPages": 1
  }
}

Get a single account

GET /api/v1/accounts/{id}

Returns the full account record for an id that belongs to the authenticated user.